
QGIS Application - Bug report #5328

SPIT - Geometry type does not match column type

2012-04-05 01:56 PM - Salvatore Larosa

Status: Closed

Priority: Normal

Assignee:

Category: C++ Plugins

Affected QGIS version:master Regression?: No

Operating System: Linux Easy fix?: No

Pull Request or Patch supplied:No Resolution: wontfix

Crashes QGIS or corrupts data:No Copied to github as #: 15029

Description

If I use the SPIT plugin to import polygon features in PostGIS I get this:

ERROR:  Geometry type (Polygon) does not match column type (MultiPolygon)

Also, if I import line features I get:

ERROR:  Geometry type (LineString) does not match column type (MultiLineString)

PostGIS version:

"POSTGIS="2.0.1SVN r9614" GEOS="3.3.3-CAPI-1.7.4" PROJ="Rel. 4.7.1, 23 September 2009" GDAL="GDAL 1.9.0, 

released 2011/12/29" LIBXML="2.7.8" TOPOLOGY RASTER" 

Unfortunately, #5109 did not solve this problem!

History

#1 - 2012-04-09 03:40 AM - Giovanni Manghi

- Status changed from Open to Feedback

SPIT is not maintained and it will be discontinued/removed when DB Manager will allow multiple shape upload. I think that any ticket on this tool is then not

"necessary".

#2 - 2012-09-04 12:08 PM - Paolo Cavallini

- Target version set to Version 2.0.0

#3 - 2014-06-22 11:46 AM - Giovanni Manghi

- Resolution set to wontfix

- Status changed from Feedback to Closed

I guess we can really close this, also because we can import vectors in batch mode using Processing.
